Subject: Re: Bash completion Issue?

From: Jakub Narebski <[email-masked]>
Date: Sun, 05 Nov 2006 12:45:14 +0100

Shawn Pearce wrote:

> Alan Chandler <[email-masked]> wrote:
>>  removing the git-completion package and copying the bash completion script 
>> from /usr/share/doc/git-core/contrib/completion to /etc/bash_completion.d 
>> solves the problem.  I am getting completion working fine now.
> 
> Good.  :-)
> 
> Let us know if there's anything you'd like to see in the bash
> completion...  I just sent out two rounds of patches for it, but
> certainly still have more work to do on it.

I'd like to see completion for git-format-patch, git-cherry-pick
and git-rebase. I tried to start doing completion for git-format-patch,
but realized that I don't know bash, and bash completion enough for that.

While at it, do git-completion.bash takes into consideration that
some commands doesn't accept branch which is current branch.

Otherwise, I find git-completion for bash very useful.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git